Subject: Re: [PATCH] Add a remote.<foo>.mirror configuration option

From: Paolo Bonzini <[email-masked]>
Date: Sat, 19 Apr 2008 19:53:43 +0200

Johannes Schindelin wrote:
> Hi,
> 
> On Thu, 17 Apr 2008, Paolo Bonzini wrote:
> 
>> This patch adds a remote.<foo>.mirror configuration option that,
>> when set, automatically puts git-push in --mirror mode for that
>> remote.
> 
> Would it not be more logical to have remote.<nick>.pushOptions? (This 
> would be in line with the branch.<name>.mergeOptions config setting...

Maybe, but I wanted to have (later) "git push" push also to all mirror 
branches, so it made sense to "special case" --mirror.  --force can 
already be specified with +, and there are not many other options, so 
remote.<nick>.mirror was the easiest to design and implement.

Paolo